function [state_1, state_2, timecourse, data] = create_synth_data(num_1, num_2, len, noise_1, noise_2)


state_1 = zeros(90,len);
state_1(1:40, :) = ones(40,1)*cos(1:len) + noise_1(1)*randn(40,len);
state_1(41:70,:) = ones(30,1)*sin(1:len) + noise_1(2)*randn(30,len);
state_1(71:90,:) = ones(20,1)*cos((1:len)+pi) + noise_1(3)*randn(20,len);

state_2 = zeros(90,len);
state_2(1:40, :) = ones(40,1)*cos(1:len) + noise_2(1)*randn(40,len);
state_2(41:70,:) = ones(30,1)*cos((1:len)+pi) + noise_2(2)*randn(30,len);
state_2(71:90,:) = ones(20,1)*sin(1:len) + noise_2(3)*randn(20,len);


total = num_1 + num_2;

data = zeros(90, total*len);



t = randperm(total);

timecourse = zeros(1,total*len);

for i = 1:num_1
    
    data(:,(t(i)-1)*len+1:(t(i)-1)*len+len) = state_1;
    timecourse((t(i)-1)*len+1:(t(i)-1)*len+len) = 1;
end

for i = num_1+1:num_1 + num_2
    
    data(:,(t(i)-1)*len+1:(t(i)-1)*len+len) = state_2;
    timecourse((t(i)-1)*len+1:(t(i)-1)*len+len) = 2;
end



