function [corrs, corrs_var] = get_sliding_window_corrs(data, winsize)

dim = size(data);
corrs = [];

for i = 1:dim(2)-winsize
    
    data_temp = data(:,i:i+winsize);
    corrs(:,:,i) = corr(data_temp');
    
end

corrs_var = [];

for i = 1:dim(1)
    for j = 1:dim(1)
        
        corrs_var(i,j) = var(diff(corrs(i,j,:)));
        
    end
end
       
        
        